> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/ko/data-onboarding/supported-logs/apache.md).

# Apache 로그

## 개요

Panther는 공통 방식을 통해 Apache 로그를 수집하는 것을 지원합니다 [데이터 전송](https://docs.panther.com/data-onboarding/data-transports) 옵션: Amazon Web Services(AWS) S3 및 SQS.

## Apache 로그를 Panther에 온보드하는 방법

이 로그를 Panther에 연결하려면:

1. Panther 콘솔의 왼쪽 탐색 표시줄에서 다음을 클릭합니다: **구성 > 로그 소스**.
2. 다음을 클릭합니다: **새로 만들기**.
3. “Apache,”를 검색한 다음 해당 타일을 클릭합니다.
4. 다음의 **전송 메커니즘** 드롭다운에서 이 통합에 사용할 데이터 전송 방식을 선택한 다음, 해당 방식을 구성하기 위한 Panther의 지침을 따르세요:
   * [AWS S3 버킷](/ko/data-onboarding/data-transports/aws/s3.md)
   * [AWS SQS](/ko/data-onboarding/data-transports/aws/sqs.md)
5. 다음을 클릭합니다: **설정 시작**.
6. Apache가 로그를 Data Transport 소스로 푸시하도록 구성합니다.
   * 선택한 Data Transport 소스로 로그를 푸시하는 방법은 Apache 문서를 참조하세요.

## 지원되는 로그 유형

### Apache.AccessCombined

다음을 사용하는 Apache HTTP 서버 액세스 로그 `결합` 형식.

자세한 내용은 다음을 참조하세요 [Combined Log Format에 대한 Apache 문서](https://httpd.apache.org/docs/current/logs.html#combined).

```yaml
스키마: Apache.AccessCombined
파서:
    fastmatch:
        match:
            - '%{remote_host_ip_address} %{client_identity_rfc_1413} %{request_user} [%{request_time}] "%{request_method} %{request_uri} %{request_protocol}" %{response_status} %{response_size} "%{referer}" "%{user_agent}"'
        emptyValues:
            - '-'
        trimSpace: true
설명: 'combined' 형식을 사용하는 Apache HTTP 서버 액세스 로그
referenceURL: https://httpd.apache.org/docs/current/logs.html#combined
fields:
    - name: remote_host_ip_address
      설명: 이는 서버에 요청을 보낸 클라이언트(원격 호스트)의 IP 주소입니다. HostnameLookups가 On으로 설정되어 있으면 서버는 호스트명을 확인해 IP 주소 대신 이를 기록하려고 시도합니다.
      type: string
      표시자:
        - 호스트 이름
    - name: client_identity_rfc_1413
      설명: 클라이언트 컴퓨터의 identd가 결정한 RFC 1413 클라이언트 식별 정보입니다.
      type: string
    - name: request_user
      설명: HTTP 인증에 의해 결정되는, 문서를 요청한 사람의 사용자 ID입니다.
      type: string
      표시자:
        - 사용자명
    - name: request_time
      설명: 요청이 수신된 시간입니다.
      type: timestamp
      timeFormats:
        - '%d/%b/%Y:%H:%M:%S %z'
      isEventTime: true
    - name: request_method
      설명: HTTP 요청 메서드
      type: string
    - name: request_uri
      설명: HTTP 요청 URI
      type: string
    - name: request_protocol
      설명: HTTP 요청 프로토콜
      type: string
    - name: response_status
      설명: 응답의 HTTP 상태
      유형: smallint
    - name: response_size
      설명: HTTP 응답의 크기(바이트 단위)
      type: bigint
    - 이름: user_agent
      설명: User-Agent HTTP 헤더
      type: string
    - 이름: referer
      설명: Referer HTTP 헤더
      type: string
```

### Apache.AccessCommon

다음을 사용하는 Apache HTTP 서버 액세스 로그 `공통` 형식.

자세한 내용은 다음을 참조하세요 [Common Log Format에 대한 Apache 문서](https://httpd.apache.org/docs/current/logs.html#common).

```yaml
스키마: Apache.AccessCommon
파서:
    fastmatch:
        match:
            - '%{remote_host_ip_address} %{client_identity_rfc_1413} %{request_user} [%{request_time}] "%{request_method} %{request_uri} %{request_protocol}" %{response_status} %{response_size}'
        emptyValues:
            - '-'
        trimSpace: true
설명: 'common' 형식을 사용하는 Apache HTTP 서버 액세스 로그
referenceURL: https://httpd.apache.org/docs/current/logs.html#common
fields:
    - name: remote_host_ip_address
      설명: 이는 서버에 요청을 보낸 클라이언트(원격 호스트)의 IP 주소입니다. HostnameLookups가 On으로 설정되어 있으면 서버는 호스트명을 확인해 IP 주소 대신 이를 기록하려고 시도합니다.
      type: string
      표시자:
        - 호스트 이름
    - name: client_identity_rfc_1413
      설명: 클라이언트 컴퓨터의 identd가 결정한 RFC 1413 클라이언트 식별 정보입니다.
      type: string
    - name: request_user
      설명: HTTP 인증에 의해 결정되는, 문서를 요청한 사람의 사용자 ID입니다.
      type: string
      표시자:
        - 사용자명
    - name: request_time
      설명: 요청이 수신된 시간입니다.
      type: timestamp
      timeFormats:
        - '%d/%b/%Y:%H:%M:%S %z'
      isEventTime: true
    - name: request_method
      설명: HTTP 요청 메서드
      type: string
    - name: request_uri
      설명: HTTP 요청 URI
      type: string
    - name: request_protocol
      설명: HTTP 요청 프로토콜
      type: string
    - name: response_status
      설명: 응답의 HTTP 상태
      유형: smallint
    - name: response_size
      설명: HTTP 응답의 크기(바이트 단위)
      type: bigint
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/ko/data-onboarding/supported-logs/apache.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
